NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Facet::LocalOffsetBuilder Class Reference

Represents a NXOpen::Facet::LocalOffsetBuilder . More...

Inheritance diagram for NXOpen::Facet::LocalOffsetBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  ShapeMethodType { ShapeMethodTypeSharp, ShapeMethodTypeSmooth }
 Continuity Method. More...
 
enum  TransitionMethodType { TransitionMethodTypeNone, TransitionMethodTypeByConstantOffset, TransitionMethodTypeByRegionSelection }
 Transition Region Definition. More...
 

Public Member Functions

NXOpen::FacetCollectorFacetRegion ()
 Returns the facets to be offset
Created in NX12.0.0. More...
 
NXOpen::FacetCollectorFacetTransitionRegions ()
 Returns the user-selected transition regions
Created in NX12.0.0. More...
 
bool IsEditCopy ()
 Returns the option to create a non-associative copy of the selected body and edit that copy
Created in NX12.0.0. More...
 
bool IsRegenerateOffsetMesh ()
 Returns the option to rebuild the mesh structure of the offset output
Created in NX12.0.0. More...
 
bool IsReverseDirection ()
 Returns the method to reverse the direction of the offset. More...
 
bool IsSmoothEdge ()
 Returns the option to add smoothing to the edge of the offset region
Created in NX12.0.0. More...
 
NXOpen::ExpressionOffsetDistance ()
 Returns the linear distance of the created local offset, which may be a positive or negative distance
Created in NX12.0.0. More...
 
NXOpen::ExpressionRegionDistance ()
 Returns the distance of the transition region with the constant offset option
Created in NX12.0.0. More...
 
void SetEditCopy (bool isEditCopy)
 Sets the option to create a non-associative copy of the selected body and edit that copy
Created in NX12.0.0. More...
 
void SetRegenerateOffsetMesh (bool isRegenerateOffsetMesh)
 Sets the option to rebuild the mesh structure of the offset output
Created in NX12.0.0. More...
 
void SetReverseDirection (bool isReverseDirection)
 Sets the method to reverse the direction of the offset. More...
 
void SetShapeMethod (NXOpen::Facet::LocalOffsetBuilder::ShapeMethodType shapeMethod)
 Sets the method to define the shape of the transition region
Created in NX12.0.0. More...
 
void SetSmoothEdge (bool isSmoothEdge)
 Sets the option to add smoothing to the edge of the offset region
Created in NX12.0.0. More...
 
void SetTransitionMethod (NXOpen::Facet::LocalOffsetBuilder::TransitionMethodType transitionMethod)
 Sets the type of transition region
Created in NX12.0.0. More...
 
NXOpen::Facet::LocalOffsetBuilder::ShapeMethodType ShapeMethod ()
 Returns the method to define the shape of the transition region
Created in NX12.0.0. More...
 
NXOpen::Facet::LocalOffsetBuilder::TransitionMethodType TransitionMethod ()
 Returns the type of transition region
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Facet::LocalOffsetBuilder .

This class adds or removes material on facet bodies by creating local offsets.
To create a new instance of this class, use NXOpen::Facet::FacetModelingCollection::CreateLocalOffsetBuilder
Default values.

Property Value

IsEditCopy

0

IsSmoothEdge

1

OffsetDistance.Value

5 (millimeters part), 0.2 (inches part)

RegionDistance.Value

10 (millimeters part), 0.4 (inches part)

ShapeMethod

Smooth

TransitionMethod

None


Created in NX12.0.0.

Member Enumeration Documentation

Continuity Method.

Enumerator
ShapeMethodTypeSharp 

Sharp specifies a transition region without smoothing.

ShapeMethodTypeSmooth 

Smooth specifies a transition region with smoothing.

Transition Region Definition.

Enumerator
TransitionMethodTypeNone 

None creates an offset without a transition region.

TransitionMethodTypeByConstantOffset 

Constant offset creates a transition region of constant distance.

TransitionMethodTypeByRegionSelection 

Region selection allows the user to select transtion regions.

Member Function Documentation

NXOpen::FacetCollector* NXOpen::Facet::LocalOffsetBuilder::FacetRegion ( )

Returns the facets to be offset
Created in NX12.0.0.



License requirements : None

NXOpen::FacetCollector* NXOpen::Facet::LocalOffsetBuilder::FacetTransitionRegions ( )

Returns the user-selected transition regions
Created in NX12.0.0.



License requirements : None

bool NXOpen::Facet::LocalOffsetBuilder::IsEditCopy ( )

Returns the option to create a non-associative copy of the selected body and edit that copy
Created in NX12.0.0.



License requirements : None

bool NXOpen::Facet::LocalOffsetBuilder::IsRegenerateOffsetMesh ( )

Returns the option to rebuild the mesh structure of the offset output
Created in NX12.0.0.



License requirements : None

bool NXOpen::Facet::LocalOffsetBuilder::IsReverseDirection ( )

Returns the method to reverse the direction of the offset.


Created in NX12.0.0.

License requirements : None

bool NXOpen::Facet::LocalOffsetBuilder::IsSmoothEdge ( )

Returns the option to add smoothing to the edge of the offset region
Created in NX12.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Facet::LocalOffsetBuilder::OffsetDistance ( )

Returns the linear distance of the created local offset, which may be a positive or negative distance
Created in NX12.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Facet::LocalOffsetBuilder::RegionDistance ( )

Returns the distance of the transition region with the constant offset option
Created in NX12.0.0.



License requirements : None

void NXOpen::Facet::LocalOffsetBuilder::SetEditCopy ( bool  isEditCopy)

Sets the option to create a non-associative copy of the selected body and edit that copy
Created in NX12.0.0.



License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
isEditCopyiseditcopy
void NXOpen::Facet::LocalOffsetBuilder::SetRegenerateOffsetMesh ( bool  isRegenerateOffsetMesh)

Sets the option to rebuild the mesh structure of the offset output
Created in NX12.0.0.



License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
isRegenerateOffsetMeshisregenerateoffsetmesh
void NXOpen::Facet::LocalOffsetBuilder::SetReverseDirection ( bool  isReverseDirection)

Sets the method to reverse the direction of the offset.


Created in NX12.0.0.

License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
isReverseDirectionisreversedirection
void NXOpen::Facet::LocalOffsetBuilder::SetShapeMethod ( NXOpen::Facet::LocalOffsetBuilder::ShapeMethodType  shapeMethod)

Sets the method to define the shape of the transition region
Created in NX12.0.0.



License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
shapeMethodshapemethod
void NXOpen::Facet::LocalOffsetBuilder::SetSmoothEdge ( bool  isSmoothEdge)

Sets the option to add smoothing to the edge of the offset region
Created in NX12.0.0.



License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
isSmoothEdgeissmoothedge
void NXOpen::Facet::LocalOffsetBuilder::SetTransitionMethod ( NXOpen::Facet::LocalOffsetBuilder::TransitionMethodType  transitionMethod)

Sets the type of transition region
Created in NX12.0.0.



License requirements : nx_polygon_modeling (" NX Polygon Modeling")

Parameters
transitionMethodtransitionmethod
NXOpen::Facet::LocalOffsetBuilder::ShapeMethodType NXOpen::Facet::LocalOffsetBuilder::ShapeMethod ( )

Returns the method to define the shape of the transition region
Created in NX12.0.0.



License requirements : None

NXOpen::Facet::LocalOffsetBuilder::TransitionMethodType NXOpen::Facet::LocalOffsetBuilder::TransitionMethod ( )

Returns the type of transition region
Created in NX12.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.